///////////////////--------ADD LIBERIES-------------////////////////
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#include "max6675.h"
#include <Servo.h>
Servo myservo;
///////////////////--------ADD LIBERIES-------------////////////////

LiquidCrystal_I2C lcd(0x27,16,2);

int thermoDO = 9;
int thermoCS = 8;
int thermoCLK = 10;

MAX6675 thermocouple(thermoCLK, thermoCS, thermoDO);

///////////////////--------PIN SETUP-------------////////////////
int pbuttonPin = 17;// connect output to push button---11 attiny 1614/--17 attiny 3216
int HPin=2;//sefty heat indicater
const int ledPin = 3;// the number of the LED pin
const int HT_Pin=1;

///////////////////--------PIN SETUP-------------////////////////

///////////////////--------VARIABLE SETUP-------////////////////
int val = 0; // push value from pin 2
int lightON = 0;//light status
int pushed = 0;//push status 

unsigned long secondes=0;
unsigned long minutes=0;

///////////////////--------VARIABLE SETUP-------////////////////

///////////////////--------STATE SETUP-------////////////////
int ledState = LOW;
boolean  HT_state =true;
boolean S_state = false;
    
///////////////////--------STATE SETUP-------////////////////

///////////////////--------INTERVAL SETUP-------////////////////
int interval2 = 1000;
const long interval = 1; 


int pos1=25;                                       
int pos2=120;

const unsigned long onTime_HT =60*15;     //SOLONOID VALVE              
const unsigned long offTime_HT = 0;

const unsigned long onTime_S = 12;     //SERVO          
const unsigned long offTime_S = 4;

const unsigned long experimentTime = 60*15; //HOLE TIME

///////////////////--------INTERVAL SETUP-------////////////////
int interval_S = onTime_S;            //--servo
int interval_HT = onTime_HT;


///////////////////--------INTERVAL SETUP-------////////////////
unsigned long previousMillis2 = 0;  
unsigned long previousMillis = 0;
unsigned long previousMillis_S = 0;
unsigned long previousMillis_HT = 0;

///////////////////--------INTERVAL SETUP-------////////////////

void setup() {
 Serial.begin(9600);
 pinMode(pbuttonPin, INPUT_PULLUP); 
 pinMode(ledPin, OUTPUT);
 pinMode(HPin, OUTPUT);
myservo.attach(0);

 lcd.init();                    
 lcd.backlight();
 lcd.clear();
 lcd.setCursor(0, 0);
 lcd.print("LPG INCINERATOR");
 delay(3000);
 lcd.clear();

 digitalWrite(HT_Pin,LOW);
   myservo.write(0);
   digitalWrite(ledPin, ledState);
}

void(* resetFunc) (void) = 0; //declare reset function @ address 0


void loop() {
T_p();  
  val = digitalRead(pbuttonPin);// read the push button value
  if(val == HIGH && lightON == LOW){
    pushed = 1-pushed;
    delay(50); 
    lcd.clear();
  }    

  lightON = val;
      if(pushed == HIGH){
        Serial.println("Light off"); 
       lcd.setCursor(0, 0);
      lcd.print("Press the button");}
    else{ 
        Serial.println("Light on");
       LCD_COUNTER();
       servoread();
       HT_();
      }     

}
 
